For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Return Order
      • PUTModify Return Order
      • GETGet Return Orders
      • POSTCreate Return Order
      • POSTCancel Return order
LogoLogo
API ReferenceReturns

Modify Return Order

||View as Markdown|
PUT
https://sandbox-api.shipbob.com/2025-07/return/:id
PUT
/2025-07/return/:id
$curl -X PUT https://sandbox-api.shipbob.com/2025-07/return/1 \
> -H "shipbob_channel_id: 1" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "fulfillment_center": {
> "id": 0,
> "name": "Cicero (IL)"
> },
> "inventory": [
> {
> "id": 111222,
> "quantity": 1,
> "requested_action": "Default"
> }
> ],
> "reference_id": "ShipBob_Return_123",
> "original_shipment_id": 123456,
> "tracking_number": "1Z9999999999999999"
>}'
1{
2 "channel": {
3 "id": 0,
4 "name": "ShipBobs-Shopify-Store"
5 },
6 "completed_date": "2019-08-24T14:15:22+00:00",
7 "customer_name": "string",
8 "fulfillment_center": {
9 "id": 0,
10 "name": "Cicero (IL)"
11 },
12 "id": 0,
13 "insert_date": "2019-08-24T14:15:22+00:00",
14 "inventory": [
15 {
16 "action_requested": {
17 "action": "Default",
18 "action_type": "InventoryDefault",
19 "instructions": "string"
20 },
21 "action_taken": [
22 {
23 "action": "Default",
24 "action_reason": "string",
25 "quantity_processed": 1
26 }
27 ],
28 "id": 0,
29 "name": "string",
30 "quantity": 0
31 }
32 ],
33 "invoice_amount": 0.1,
34 "original_shipment_id": 0,
35 "reference_id": "string",
36 "return_type": "Regular",
37 "status": "AwaitingArrival",
38 "store_order_id": "string",
39 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC",
40 "transactions": [
41 {
42 "amount": 2.5,
43 "transaction_type": "ReturnLabelInvoice"
44 }
45 ]
46}
Was this page helpful?
Previous

Get Return Order

Next

Get Return Orders

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idintegerRequired
Id of the return order

Headers

shipbob_channel_idintegerRequired
Channel Id for Operation

Request

Model defining the return
fulfillment_centerobjectRequired
Information about a fulfillment center
inventorylist of objectsRequired
Array of inventory items being returned
reference_idstringRequired<=50 characters

Client-defined external unique identifier for the return order

original_shipment_idintegerOptional
Shipment from which the items in the return originated
tracking_numberstringOptional<=500 characters
Tracking number for the return shipment

Response

Success
channelobject
Created by channel metadata
completed_datedatetime
Completed date for a return order.
customer_namestring
Customer name from the related shipment.
fulfillment_centerobject
Information about a fulfillment center
idinteger
Unique id of the Return Order
insert_datedatetime
Date this return order was created
inventorylist of objects
List of inventory included in the return order
invoice_amountdouble

Invoiced amount of return order (sum of transaction amounts)

original_shipment_idinteger
Id of the corresponding shipment that is the souce of the return
reference_idstring

Client-defined external unique id of the return order

return_typeenum
Regular ReturnToSender
Allowed values:
statusenum
AwaitingArrival Arrived Processing Completed Cancelled
Allowed values:
store_order_idstring
Store order for the related shipment.
tracking_numberstring
Tracking number of the return shipment
transactionslist of objects
Array of transactions affiliated with the return order

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error